Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZGroupEventType Class Reference

## Public Member Functions
| __construct ( $id=-1, $fetch=true)
| store ()
| delete ()
| get ( $id=-1)
& | getAll ()
& | getByParent ( $parent, $showAll=false, $sortby="name")
| path ( $EventTypeID=0)
& | getTree ( $parentID=0, $level=0)
| id ()
| name ( $htmlchars=true)
| description ( $htmlchars=true)
| parentID ()
| parent ()
| setName ( $value)
| setDescription ( $value)
| setParent ( $value)
| dbInit ()

## Public Attributes
| $ID
| $Name
| $ParentID
| $Description
| $Database
| Variable for keeping the database connection. More...
| $State_
| Indicates the state of the object. In regard to database information. More...
| $IsConnected
| Is true if the object has database connection, false if not. More...
| $ExcludeFromSearch

## Detailed Description

! eZEventCalendar eZGroupEventType handles appointment types.

TODO Implement activeAppointments();

Definition at line 36 of file ezgroupeventtype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZGroupEventType::__construct | ( |  | $id = `-1`,
|  |  | $fetch = `true`
| ) |  |

Constructs a new eZGroupEventType object.

If $id is set the object's values are fetched from the database.

Definition at line 44 of file ezgroupeventtype.php.

References $id, and $ID.

## Member Function Documentation

## ◆ dbInit()

eZGroupEventType::dbInit | ( |  | ) |

Private function.
Open the database for read and write. Gets all the database information from site.ini.

Definition at line 356 of file ezgroupeventtype.php.

References eZDB\globalDatabase().

Referenced by delete(), get(), getAll(), getByParent(), and store().

## ◆ delete()

eZGroupEventType::delete | ( |  | ) |

Deletes a eZAppointmentGroup object from the database.

Definition at line 90 of file ezgroupeventtype.php.

References dbInit().

## ◆ description()

eZGroupEventType::description | ( |  | $htmlchars = `true` | ) |

Returns the group description.

Definition at line 287 of file ezgroupeventtype.php.

References $Description.

## ◆ get()

eZGroupEventType::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 105 of file ezgroupeventtype.php.

References $id, dbInit(), and Name.

## ◆ getAll()

& eZGroupEventType::getAll | ( |  | ) |

Returns all the categories found in the database.

The categories are returned as an array of eZGroupEventType objects.

Definition at line 138 of file ezgroupeventtype.php.

References $i, and dbInit().

## ◆ getByParent()

& eZGroupEventType::getByParent | ( |  | $parent,
|  |  | $showAll = `false`,
|  |  | $sortby = `"name"`
| ) |  |

Returns the types with the EventType given as parameter as parent.

If $showAll is set to true every EventType is shown. By default the categories set as exclude from search is excluded from this query.

The categories are returned as an array of eZGroupEventType objects.

Definition at line 163 of file ezgroupeventtype.php.

References $i, and dbInit().

## ◆ getTree()

& eZGroupEventType::getTree | ( |  | $parentID = `0`,
|  |  | $level = `0`
| ) |  |

Returns the categories sorted as a tree.

Definition at line 239 of file ezgroupeventtype.php.

References $level, and $tree.

## ◆ id()

eZGroupEventType::id | ( |  | ) |

Returns the object ID to the EventType. This is the unique ID stored in the database.

Definition at line 264 of file ezgroupeventtype.php.

References $ID.

## ◆ name()

eZGroupEventType::name | ( |  | $htmlchars = `true` | ) |

Returns the name of the EventType.

Definition at line 272 of file ezgroupeventtype.php.

References $Name, and Name.

## ◆ parent()

eZGroupEventType::parent | ( |  | ) |

Returns the parent if one exist. If not 0 is returned.

Definition at line 310 of file ezgroupeventtype.php.

## ◆ parentID()

eZGroupEventType::parentID | ( |  | ) |

Returns the parentID, which is 0 if there is no parent.

Definition at line 302 of file ezgroupeventtype.php.

References $ParentID.

## ◆ path()

eZGroupEventType::path | ( |  | $EventTypeID = `0` | ) |

Returns the current path as an array of arrays.

The array is built up like: array( array( id, name ), array( id, name ) );

See detailed description for an example of usage.

Definition at line 208 of file ezgroupeventtype.php.

References $ID.

## ◆ setDescription()

eZGroupEventType::setDescription | ( |  | $value | ) |

Sets the description of the EventType.

Definition at line 336 of file ezgroupeventtype.php.

## ◆ setName()

eZGroupEventType::setName | ( |  | $value | ) |

Sets the name of the EventType.

Definition at line 325 of file ezgroupeventtype.php.

References $ID, and Name.

## ◆ setParent()

eZGroupEventType::setParent | ( |  | $value | ) |

Sets the parent EventType.

Definition at line 344 of file ezgroupeventtype.php.

## ◆ store()

eZGroupEventType::store | ( |  | ) |

Stores a eZGroupEventType object to the database.

Definition at line 63 of file ezgroupeventtype.php.

References dbInit().

## Member Data Documentation

## ◆ $Database

eZGroupEventType::$Database

Variable for keeping the database connection.

Definition at line 371 of file ezgroupeventtype.php.

## ◆ $Description

eZGroupEventType::$Description

Definition at line 368 of file ezgroupeventtype.php.

Referenced by description().

## ◆ $ExcludeFromSearch

eZGroupEventType::$ExcludeFromSearch

Definition at line 377 of file ezgroupeventtype.php.

## ◆ $ID

eZGroupEventType::$ID

Definition at line 365 of file ezgroupeventtype.php.

Referenced by __construct(), id(), path(), and setName().

## ◆ $IsConnected

eZGroupEventType::$IsConnected

Is true if the object has database connection, false if not.

Definition at line 376 of file ezgroupeventtype.php.

## ◆ $Name

eZGroupEventType::$Name

Definition at line 366 of file ezgroupeventtype.php.

Referenced by name().

## ◆ $ParentID

eZGroupEventType::$ParentID

Definition at line 367 of file ezgroupeventtype.php.

Referenced by parentID().

## ◆ $State_

eZGroupEventType::$State_

Indicates the state of the object. In regard to database information.

Definition at line 374 of file ezgroupeventtype.php.

The documentation for this class was generated from the following file:

- ezgroupeventtype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.